<?php
/*
	Name: Thesis Related Post Box
	Author: wpthesisskins.com
	Version: 1.0
	Description: Our Related post Box is rock your Thesis Theme 2.0.
	Class: thesis_related_post_box
*/

class thesis_related_post_box extends thesis_box {
	
	protected function translate() {
		$this->title = __('Thesis Related Post Box', 'thesis');
	}
	
	protected function construct() {
		wp_enqueue_style('thesis-related-post-style3post', THESIS_USER_BOXES_URL . "/thesis-related-post-box/css/style.css");
	}
	
	protected function options() {
		global $thesis;
		return array(
			'relatedcheck' => array(
				'type' => 'checkbox',
				'label' => __('Enable related post box  ', 'thesis'),
				'tooltip' => sprintf(__('If you want to enable related post box please select the checkbox', 'thesis')),
					'options' => array(
						'soption' => __('Enable related post box', 'thesis'),
						)
				),
			
			);
	}
	

 

	public function html() {
		global $thesis;
		global $post;
		// get options
		
		$options = $thesis->api->get_options($this->options(), $this->options);
		
		$ads .= '<div class="thesis_related">';
		 
		
		if ( $options['relatedcheck'] ) {
		if(!is_archive()){
			?>
			<?php
			$tags = get_the_tags($post->ID);
			if ($tags) {
			$tag_ids = array();
			foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;

			$args=array(
			'tag__in' => $tag_ids,
			'post__not_in' => array($post->ID),
			'showposts'=>4,  // Number of related posts that will be shown.
			'caller_get_posts'=>1
			);

			$my_query = new wp_query($args);
			if( $my_query->have_posts() ) {
			echo '<div id="relatedposts"><h3>Related Posts</h3><ul>';
			while ($my_query->have_posts()) {
			$my_query->the_post();
			?>

			<?php
			if ( has_post_thumbnail() ) { ?>
			<li><div class="relatedthumb"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail(); ?><?php the_title(); ?></a></div></li>
			<?php } else { ?>
			<li><div class="relatedthumb"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><img src="<?php echo get_post_meta($post->ID, 'Image',true) ?>" width="100" height="100" alt="<?php the_title_attribute(); ?>" /><?php the_title(); ?></a></div></li>
			<?php }
			?>

			<?php
			}
			echo '</ul>';
			echo '</div>';
			}
			}
			$post = $backup;
			wp_reset_query();
			?>
			<div class="clear"></div>

			<?php
			 }}
			
			
		
		if ( $options['html'] ) {

			$ads .= stripslashes ($options['html']);

		}
		
		$ads .= '</div>';
		echo $ads;
		
	}
}?>